> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/queue.md).

# Queue

This object contains the following attributes:

<table data-search="false"><thead><tr><th width="135">Field</th><th width="158">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td>A unique identifier for the queue. </td></tr><tr><td><code>revision</code></td><td>unit, core</td><td>(Read‑only) The revision number used for platform-level versioning.</td></tr><tr><td><code>name</code></td><td>string, core</td><td>A descriptive name for the queue. </td></tr><tr><td><code>description</code></td><td>string, core</td><td>A description of the queue. </td></tr><tr><td><code>icon</code></td><td>string, core</td><td>(Read‑only) An image representing the queue.</td></tr><tr><td><code>externalId</code></td><td>string, core</td><td>Represents the external ID. </td></tr><tr><td><code>status</code></td><td>string, core</td><td>The current state of the queue. Allowed values are <code>disabled</code> or <code>active</code>.</td></tr><tr><td><code>default</code></td><td>boolean, core</td><td>Default queue per account. There can only be one default queue per account.</td></tr><tr><td><code>internal</code></td><td>boolean, core</td><td>Indicates whether the queue is visible only to internal teams of the owner account. </td></tr><tr><td><code>account</code></td><td>object</td><td>(Read‑only) Represents the <a href="/pages/tq2fdEq8olL6Ahrf4HVR"><code>account</code></a> that the queue belongs to.</td></tr><tr><td><code>statistics</code></td><td>object</td><td><p>(Read‑only) Represents the <a href="#queue-statistics-object"><code>queueStatistics</code></a></p><p>object, which contains relevant data for this queue. </p></td></tr><tr><td><code>audit</code></td><td>object</td><td>(Read‑only) Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a>  object.</td></tr></tbody></table>

## Queue Statistics object <a href="#queue-statistics-object" id="queue-statistics-object"></a>

<table><thead><tr><th width="180">Field</th><th width="118">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>totalCasesCount</code></td><td>integer</td><td>(Read‑only) The total number of cases in the queue. </td></tr><tr><td><code>openCasesCount</code></td><td>integer</td><td>(Read‑only) The total count of open cases, either in processing or querying status, associated with the queue.</td></tr></tbody></table>

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/queue.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
